Bug 16524 - Use floating toolbar on item search
Summary: Use floating toolbar on item search
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-16 00:50 UTC by Aleisha Amohia
Modified: 2017-12-07 22:15 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16524: Use floating toolbar on item search (3.79 KB, patch)
2016-05-16 01:00 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 16524: Use floating toolbar on item search (2.70 KB, patch)
2016-05-17 00:24 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16524: Use floating toolbar on item search (2.81 KB, patch)
2016-05-17 13:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16524: Use floating toolbar on item search (2.83 KB, patch)
2016-05-18 14:10 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-05-16 00:50:47 UTC

    
Comment 1 Aleisha Amohia 2016-05-16 01:00:33 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-05-16 18:50:52 UTC
I don't think the output options belong in the toolbar since they are not an "action." I think they belong in the main body of the form, probably in their own <fieldset>.
Comment 3 Aleisha Amohia 2016-05-17 00:24:02 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2016-05-17 13:14:16 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2016-05-18 14:10:05 UTC
Created attachment 51594 [details] [review]
Bug 16524: Use floating toolbar on item search

To test:
1) Go to item search
2) Confirm toolbar at top of page with Search button, goes down page as
   you scroll
3) Confirm search button has been removed from final output fieldset
4) Confirm everything works as expected

Sponsored-by: Catalyst IT
Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Brendan Gallagher 2016-05-31 11:49:53 UTC
Pushed to Master - Should be in the November 2016 Release.  Thanks!
Comment 7 Frédéric Demians 2016-06-15 07:32:02 UTC
Pushed in 16.05. Will be in 16.05.01.